/*
 * Bitronix Transaction Manager
 *
 * Copyright (c) 2010, Bitronix Software.
 *
 * This copyrighted material is made available to anyone wishing to use, modify,
 * copy, or redistribute it subject to the terms and conditions of the GNU
 * Lesser General Public License, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this distribution; if not, write to:
 * Free Software Foundation, Inc.
 * 51 Franklin Street, Fifth Floor
 * Boston, MA 02110-1301 USA
 */
package bitronix.tm.twopc.executor;

/**
 * Abstraction of the <code>java.util.concurrent</code>
 * <a href="http://www.dcl.mathcs.emory.edu/util/backport-util-concurrent/">backport</a> implementation.
 *
 * @author lorban
 */
public class BackportConcurrentExecutor extends ConcurrentExecutor {

    private final static String[] implementations = {
        "edu.emory.mathcs.backport.java.util.concurrent.Executors",
        "edu.emory.mathcs.backport.java.util.concurrent.ExecutorService",
        "edu.emory.mathcs.backport.java.util.concurrent.Future",
        "edu.emory.mathcs.backport.java.util.concurrent.TimeUnit"
    };

    public BackportConcurrentExecutor() {
        super(implementations);
    }
}
